Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 753840 - RFE grub-customizer
Summary: RFE grub-customizer
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 16
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-14 16:28 UTC by Frank Murphy
Modified: 2013-02-13 21:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1060182 (view as bug list)
Environment:
Last Closed: 2013-02-13 21:12:21 UTC


Attachments (Terms of Use)

Description Frank Murphy 2011-11-14 16:28:13 UTC
Description of problem: The Need to have a simple gui editor for grub2


Version-Release number of selected component (if applicable):
https://answers.launchpad.net/grub-customizer/+faq/1397


This would make edits to grub2, less daunting for both new users to grub2,
and people with shaky hands.

Comment 1 Mads Kiilerich 2011-11-17 21:53:33 UTC
Why should normal users ever want to edit the grub2 configuration? What tasks should they want to do?

Comment 2 Frank Murphy 2011-11-18 08:01:08 UTC
Am I not a normal user?
Check the lists for the number of problems that have arisen,
for users that have not hit Grub2 in fedora.
Even though many have been using it a while in Ubuntu.
Particularly in multi-boot users.

It is also a centralised "config" for Grube2,
which is another normal Fedora users.
Have been looking for since the loss of
the single entry menu.lst/grub/conf.

Check the lists, normal users.
I'm not a programmer.
(Just basic Java primitives)

Comment 3 Mads Kiilerich 2011-11-18 13:22:55 UTC
Yes, there has been many bugs related to the introduction of grub2 in Fedora 16. That is however bugs that should have been avoided and should be fixed. Papering them over is not a good solution.

I still wonder which specific use-cases you think this tool should solve. I'm not denying that there might such use cases, I'm just asking which you have in mind.


Anyway, if you just want https://launchpad.net/grub-customizer to be packaged for Fedora then see http://fedoraproject.org/wiki/Package_maintainers_wishlist .

It is not a grub2 bug that there are other tools out there that isn't grub2.

However, as far as I can see it will add yet another way of maintaining the grub configuration. I wouldn't recommend that.

Comment 4 Frank Murphy 2011-11-18 13:35:40 UTC
(In reply to comment #3)

> I still wonder which specific use-cases you think this tool should solve. I'm
> not denying that there might such use cases, I'm just asking which you have in
> mind.
> 
Use case of users:
In case of no-boot, whereby it could be launched from boot.iso\media.
startx
fix problems using an easy to navigate gui.
Helps bad readers like me, who also hasn't 20\20 vision.

But will add to wishlist.

Comment 5 Fedora End Of Life 2013-01-16 16:58:09 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora End Of Life 2013-02-13 21:12:25 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.